API Reference
Large Domestic Interbank Transfer
POST /trans/largeDomesticInterBankTransfer
<Use this endpoint to request for a large domestic interbank transfer>
Parameters
accountId
string
Account number to make the transfer.
NOTE:
Currency of
accountIdandbeneficiaryAccountCcyhave to be the same. E.g both USD, both GBP etc. For now, this API supports USD, KES, GBP, and EUR.Where
accountId's currency is KES,beneficiaryAccountCcycan be USD, GBP, EUR, TZS, UGX, or RWF.
TRUE
beneficiaryBankCode
string
Bank code of receiving bank
Use /staticData/getBankCodes endpoint to get the list of bank codes
TRUE
beneficiaryBankName
string
The name of the receiving bank
TRUE
beneficiaryBranchCode
string
The branch code of the receiving bank
FALSE
beneficiaryAccountId
string
Recipient's account number
TRUE
beneficiaryAccountCcy
string
Currency of the receiving account
Allow it to be the following currencies: KE USD, GBP, EUR, TZS, UGX, or RWF.
TRUE
beneficiaryName
string
Beneficiary name
TRUE
beneficiaryEmail
string
The email address of the beneficiary
FALSE
amount
decimal
Transfer amount
TRUE
amountType
Int
0 - In Debit Account Currency
1 - In Credit Account Currency
TRUE
messageToBeneficiary
string
The message to beneficiary. Not more than 100 characters.
FALSE
paymentChannel
string
EFT
RTGS
TRUE
paymentPurpose
string
When paymentPurposeId== OTHR, specifypurpose in this parameter.
Not more than 35 characters.
FALSE
senderAddress
string
Sender's address
TRUE
supportDocument
string
Base 64 string
FALSE
supportDocumentType
string
Image
FALSE
Response
Get Interbank Transfer list
POST /trans/getInterBankTransferList
<Use this endpoint to get the list of large volume interbank transfers>
Parameters
clientId
String
Client ID
TRUE
accountId
string
Account number
TRUE
startTime
long
Start time
TRUE
endTime
long
End time
TRUE
pageNo
int
Page number
TRUE
pageSize
int
Page size
TRUE
Response
Query Interbank Transfer Details
POST /trans/getInterBankTransferDetails
<Use this endpoint to get the large volume interbank transfer details>
Parameters
applicationId
string
Application ID
TRUE
Response
Last updated